Unable to retrieve Instrumentation API to add Paper jar to ClassPath

So I’m running Linux on a dedicated machine, and want to try paper over the currently running spigot, i expect my issue is related to the first 4 lines I’ve pasted here, though i do have the suggested java version installed also. But whenever i try run it with the shown command here, i get that error, which is not giving me any useful results when i google it for help. Any ideas?

sh-4.3$ java -version
openjdk version “9-internal”
OpenJDK Runtime Environment (build 9-internal+0-2016-04-14-195246.buildd.src)
OpenJDK 64-Bit Server VM (build 9-internal+0-2016-04-14-195246.buildd.src, mixed mode)

sh-4.3$ sudo nice --20 java -Xmx10G -Xms10G -jar paper-225.jar nogui
Unable to retrieve Instrumentation API to add Paper jar to ClassPath

Update java (or use 8); You’re using a pre-release build of java 9 which is lacking some of the needed functionality to be able to bootstrap the server jar itself

1 Like

Yup, i just purged the OpenJDK with:

dpkg --get-selections | awk ‘/openjdk/ {system("sudo apt-get -y purge "$1)}’

And now it works perfectly. Thanks very much :slight_smile: